## Notifino 

Notifino is a simple, lightweight (3KB minified ) plugin that does only one thing. Helps you display easily costumisable notifications on your website.

Dependencies
------------

* [jQuery](https://github.com/jquery/jquery)
* [FontAwesome](https://github.com/FortAwesome/Font-Awesome)

Usage
------

Add `jquery.notifino.min.js` at the end of the body, after jQuery library and `notifino.css` to the head of your HTML document. Then initiate Notifino plugin with the following line.

```javascript
$(" body ").notifino({});
```

Options
-------
Notifino comes with a few options that you can costumize however you want. It has been built to give a lot of freedom to the user. Here's the list for all the options.

#### Options for notification wrapper
| Property | Value |
| --- | --- |
| `background` | **hex code** or **rgb** |
| `text` | **plain text** or **HTML** |
| `color` | **hex code** or **rgb** |
| `layout` | standard / fluid / boxed |
| `rounded` | **true** / **false** |
| `closeBtnText` | Could be anything. Leave it blank if you want to display just an 'x' sign |


#### Options for buttons
There are to main objects for buttons. One is for the close button entitled `closeButton` and another for pretty much any use - `secondButton`

```javascript
$(" body ").notifino({

	// Your settings like: background, text, layout, color, etc.

	closeButton: {
		// Options for close button
	},

	secondButton:{
		// Options for second button
	}

});
```
Let's start with `closeButton`'s options first.

| Property | Value |
| --- | --- |
| `show` | **true** or **false** |
| `class` | *notifino-btn-rounded* / *notifino-btn-square* |
| `icon` | **true** or **false** |


Moving on to the `secondButton`.

| Property | Value |
| --- | --- |
| `show` | **true** or **false** |
| `text` | **plain text** |
| `href` | **url** |
| `bgColor` | **hex code** or **rgb** |
| `textColor` | **hex code** or **rgb** |


Why did I build Notifino?
-------
Because I needed a simple, lightweight plugin that has a certain level of costumisation built in and keeps it simple & straight forward.

You can check the [demo here](http://stefanrusu.uk/demo/notifino)